com.mockobjects

## Class ExpectationValue

- java.lang.Object
- - com.mockobjects.AbstractExpectation
  - - com.mockobjects.ExpectationValue

- All Implemented Interfaces:
    Expectation, Verifiable

      public class ExpectationValue
      extends AbstractExpectation

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExpectationValue(java.lang.String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearActual()`
    `void` | `setActual(boolean aValue)`
    `void` | `setActual(double aValue)`
    `void` | `setActual(int aValue)`
    `void` | `setActual(long aValue)`
    `void` | `setActual(java.lang.Object aValue)`
    `void` | `setExpected(boolean aValue)`
    `void` | `setExpected(double aValue)`
    `void` | `setExpected(int aValue)`
    `void` | `setExpected(long aValue)`
    `void` | `setExpected(java.lang.Object aValue)`
    `void` | `setExpectNothing()` Tell the object to expect nothing to happen to it, perhaps because the test is exercising the handling of an error.
    `void` | `verify()` Throw an AssertionFailedException if any expectations have not been met.

    - ### Methods inherited from class com.mockobjects.AbstractExpectation

      `hasExpectations, setFailOnVerify`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExpectationValue

          public ExpectationValue(java.lang.String name)

  - ### Method Detail

    - #### clearActual

          public void clearActual()

      Specified by:
        `clearActual` in class `AbstractExpectation`

    - #### setActual

          public void setActual(int aValue)

    - #### setActual

          public void setActual(long aValue)

    - #### setActual

          public void setActual(double aValue)

    - #### setActual

          public void setActual(java.lang.Object aValue)

    - #### setActual

          public void setActual(boolean aValue)

    - #### setExpected

          public void setExpected(int aValue)

    - #### setExpected

          public void setExpected(long aValue)

    - #### setExpected

          public void setExpected(double aValue)

    - #### setExpected

          public void setExpected(java.lang.Object aValue)

    - #### setExpected

          public void setExpected(boolean aValue)

    - #### setExpectNothing

          public void setExpectNothing()

      Description copied from interface: `Expectation`
      Tell the object to expect nothing to happen to it, perhaps because the test is exercising the handling of an error. The Expectation will fail if any actual values are set. Note that this is not the same as not setting any expectations, in which case verify() will do nothing.

    - #### verify

          public void verify()

      Description copied from interface: `Verifiable`
      Throw an AssertionFailedException if any expectations have not been met.
      Specified by:
        `verify` in interface `Verifiable`
      Specified by:
        `verify` in class `AbstractExpectation`

Copyright © 2002 Mock Objects. All Rights Reserved.